## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name aioasuswrt

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        %autorelease
Summary:        Python API wrapper for Asuswrt devices

License:        MIT
URL:            https://github.com/kennedyshead/aioasuswrt
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Python API wrapper for Asuswrt devices.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest-runner)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python API wrapper for Asuswrt devices.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE.md
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.4.0-9
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.4.0-5
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.4.0-2
- Rebuilt for Python 3.11

* Mon Mar 07 2022 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.0-1
- Update to latest upstream release 1.4.0 (closes rhbz#2021085)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.4-1
- * Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 3.1.5-1 -
  Update to latest upstream release 1.3.4 (closes rhbz#1945577)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.3.2-2
- Rebuilt for Python 3.10

* Mon Feb 15 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.2-1
- * Mon Feb 16 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.2-1 -
  Update to latest upstream release 1.3.2 (#1928353)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 04 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.1-2
- Update changelog entries

* Fri Dec 04 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.1-1
- * Fri Dec 04 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.1-1 -
  Update to latest upstream release 1.3.1 (rhbz#1895903)

* Mon Nov 09 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.0-1
- * Mon Nov 09 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.0-1 -
  Update to latest upstream release 1.3.0 (rhbz#1895903)

* Wed Sep 16 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.8-1
- * Wed Sep 16 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.8-1 -
  Update to latest upstream release 1.2.8 (rhbz#1875715)

* Fri Sep 04 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.7-1
- * Thu Sep 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.7-1 -
  Initial package for Fedora
## END: Generated by rpmautospec
